---
name: Add a Dataset
about: Request or track the addition of a new dataset to be supported by MEDS-DEV
title: '[Dataset] Adds dataset NAME'
labels: Datasets
assignees: ''
---

1. What is the (unique) dataset name?
2. Is this dataset public or private?
3. Are there publications _about_ the dataset? If so, provide links here.
4. Are there publications _using_ the dataset? If so, provide links here.
5. Is there a public ETL to extract this dataset? If so, is it MEDS-compliant?
6. Is there a demo (fully openly available for generic download) version of this data available for use in testing and CI?
7. Who is the expected local dataset owner for this dataset? (tag their GitHub ID and/or provide contact information)
8. Would there be interest in running MEDS-DEV experiments on this dataset to help densify the MEDS-DEV results?
9. Are there any unique features about this dataset that are not sufficiently captured by the current [MEDS schema](https://github.com/Medical-Event-Data-Standard/meds)? If so, provide a link to the issue on the [MEDS repository](https://github.com/Medical-Event-Data-Standard/meds/issues/new?template=Blank+issue) tracking what would need to be added to MEDS to support them.
10. Is this dataset over a general or heavily restricted population? Describe the cohort included in this dataset.
