# AUMCdb

## Description

The first freely accessible intensive care database from within the European Union containing de-identified health data related to tens of thousands of European intensive care unit admissions, including demographics, vital signs, laboratory tests and medications.

## Access Requirements

Taken from [official website](https://amsterdammedicaldatascience.nl/amsterdamumcdb/#requesting-access):

- **Access Policy**: Fill out and sign the combined Access and End User License form.
- **License (for files)**: Specify the license under which the dataset files are distributed.
- **Data Use Agreement**: Agreement found [here](https://amsterdammedicaldatascience.nl/content/uploads/sites/2/2022/12/arfeula_v1.6.pdf).
- **Required training**: Valid training courses include the Data or Specimens Only Research (DSOR) course from CITI, the Basic Course for Clinical Investigators (BROK) from NFU or an equivalent course. The DSOR course may be taken free of charge and is also needed to gain access to the MIMIC and eICU intensive care databases from the USA.

## Supported Tasks

- `tasks/mortality/in_icu/first_24h.yaml`

## MEDS-transformation

[MEDS_transforms](https://github.com/mmcdermott/MEDS_transforms) now includes the AUMCdb example. Please refer to the [guide](https://github.com/mmcdermott/MEDS_transforms/tree/main/AUMC_Example).

## Sources

1. [AUMCdb dataset](https://amsterdammedicaldatascience.nl/amsterdamumcdb/)
2. [AUMCdb Research Paper](https://journals.lww.com/ccmjournal/fulltext/2021/06000/sharing_icu_patient_data_responsibly_under_the.16.aspx)
3. [AUMCdb Data Use Agreement](https://amsterdammedicaldatascience.nl/content/uploads/sites/2/2022/12/arfeula_v1.6.pdf)
4. [Data Repository](https://easy.dans.knaw.nl/ui/home)
5. [Code Repository](https://github.com/AmsterdamUMC/AmsterdamUMCdb)

## Disclaimer

Please refer to the data owners and the most up-to-date information when using this dataset in your research.
