# UCLA DDR MEDS Dataset

UCLA Health serves well over half a million patients annually, and as a result, UCLA possesses a vast database of Electronic Health Records (EHR). The stemming Discovery Data Repository (DDR) serves as an invaluable resource for researchers. Within the DDR Medical record concepts and organization, and the UCLA ATLAS Precision Health Biobank which integrates genetic information and de-identified medical records enable precision health research.

## Access Requirements

In order to gain access you will need to clear and obtain HIPAA compliance. *HIPAA compliance is the practice of following the Health Insurance Portability and Accountability Act (HIPAA) to protect the privacy and security of health information.* The dataset is not publicly available but people within UCLA can help run analysis on your study by sending over **source code** and **model weights** if it is a pre-trained architecture.

- **License (for files)**: Specify the license under which the dataset files are distributed. (Pending)
- **Data Use Agreement**: Specify any data use agreement that must be signed to access the dataset. (Pending)

## Supported Tasks

Currently the tasks supported by the UCLA-MEDS format are follows:

- `tasks/mortality/in_icu/first_24h.yaml`

## MEDS-transformation

Researchers at UCLA have transformed our DDR database into the medsformat making it quick and easy to run any analyses at our institution.

## Sources

Summarize the sources of the dataset. If the dataset is a combination of multiple sources, list them here.

1. https://link-to-dataset.org

## Contact

For queries or questions. Feel free to send emails to

- Simon A. Lee (simonlee711@g.ucla.edu)
- Jeffrey N. Chiang (njchiang@g.ucla.edu)
